curl https://hapi.7331.org/v1/users/me/guilds \
-b cookies.txt
[
{
"discord_id": "987654321098765432",
"name": "My Server",
"avatar_url": "https://cdn.discordapp.com/icons/987654321098765432/abc.png",
"member_count": 150,
"prefix": "!",
"is_whitelisted": true,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:00:00Z"
}
]
Get guilds owned by the authenticated user.
curl https://hapi.7331.org/v1/users/me/guilds \
-b cookies.txt
[
{
"discord_id": "987654321098765432",
"name": "My Server",
"avatar_url": "https://cdn.discordapp.com/icons/987654321098765432/abc.png",
"member_count": 150,
"prefix": "!",
"is_whitelisted": true,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:00:00Z"
}
]
curl https://hapi.7331.org/v1/users/me/guilds \
-b cookies.txt
[
{
"discord_id": "987654321098765432",
"name": "My Server",
"avatar_url": "https://cdn.discordapp.com/icons/987654321098765432/abc.png",
"member_count": 150,
"prefix": "!",
"is_whitelisted": true,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:00:00Z"
}
]
Was this page helpful?